Subject: Bug#998049: binutils: /usr/bin/x86_64-linux-gnu-as hangs forever when linking slic3r-prusa 2.3.3+dfsg-1

From: Chow Loong Jin <[email-masked]>
Date: Fri, 29 Oct 2021 14:27:44 +0800

Package: binutils
Version: 2.36.1-6ubuntu1
Severity: important

Dear Maintainer,

> What led up to the situation?
While trying to rebuild slic3r-prusa using GCC-11 (see
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=984338), I noticed
that the build always hangs forever near the end, where it links the
prusa-slicer binary.

The command being run is:

$ as -I /usr/include/dbus-1.0 -I /usr/lib/x86_64-linux-gnu/dbus-1.0/include -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/obj-x86_64-linux-gnu/src/platform -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/clipper -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/polypartition -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/tests -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/obj-x86_64-linux-gnu/src/libslic3r -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/libnest2d/include -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/miniz -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/glu-libtess/include -I /build/slic3r-prusa-vf26WP/slic3r-prusa-2.3.3+dfsg/src/qhull/src --gdwarf-5 --64 -o CMakeFiles/libslic3r_tests.dir/test_voronoi.cpp.o /tmp/ccNHPxbQ.s

I've attached the input file (/tmp/ccNHPxbQ.s), and the stack trace of as to this bug report.

> What exactly did you do (or not do) that was effective (or
> ineffective)?
I haven't tried anything yet.

> What was the outcome of this action?
`as` hangs forever.

> What outcome did you expect instead?
`as` completes within a reasonable amount of time.

-- System Information:
Debian Release: bullseye/sid
  APT prefers hirsute-updates
  APT policy: (500, 'hirsute-updates'), (500, 'hirsute-security'), (500, 'hirsute'), (400, 'hirsute-proposed'), (100, 'hirsute-backports')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.13.4-hyper1+ (SMP w/8 CPU threads)
Kernel taint flags: TAINT_CPU_OUT_OF_SPEC, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_SG.utf8, LC_CTYPE=en_SG.UTF-8 (charmap=UTF-8), LANGUAGE=en_SG:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages binutils depends on:
ii  binutils-common            2.36.1-6ubuntu1
ii  binutils-x86-64-linux-gnu  2.36.1-6ubuntu1
ii  libbinutils                2.36.1-6ubuntu1

binutils recommends no packages.

Versions of packages binutils suggests:
pn  binutils-doc  <none>

-- no debconf information

-- 
Kind regards,
Loong Jin